summaryrefslogtreecommitdiffstats
path: root/system/iotop-c/iotop-c.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/iotop-c/iotop-c.SlackBuild')
-rw-r--r--system/iotop-c/iotop-c.SlackBuild13
1 files changed, 4 insertions, 9 deletions
diff --git a/system/iotop-c/iotop-c.SlackBuild b/system/iotop-c/iotop-c.SlackBuild
index 077a0eb1c1..1bdaf9d6c6 100644
--- a/system/iotop-c/iotop-c.SlackBuild
+++ b/system/iotop-c/iotop-c.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for iotop-c
-# Copyright 2022 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2022-2024 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=iotop-c
SRCNAM=iotop
-VERSION=${VERSION:-1.21}
+VERSION=${VERSION:-1.26}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -44,26 +44,21 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
fi
-DOCS="COPYING LICENSE README.md TODO"
+DOCS="COPYING LICENSE README.md"
set -e
@@ -80,7 +75,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sed -i "s|share/man|man|" Makefile
+sed -i "s|share/man|man|" Makefile || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \